Subject: bug#23771: Eliminating compiler warnings

From: Andy Moreton <[email-masked]>
Date: Wed, 22 Jun 2016 15:04:39 +0100

On Wed 22 Jun 2016, Paul Eggert wrote:

> Thanks for all the work in improving static checking for Cygwin builds. I just
> now checked the attached patch into master, which I hope improves on it. I
> tested it on Fedora (both with and without window systems).
>
> I had one problem with the recent changes, in that they suppressed all
> warnings about jumps over AUTO_STRING calls. That's pretty drastic, as the
> warnings are typically useful, so the attached patch reverts that. Can you let
> me know which call needs the warning suppressed in the Cygwin-specific code in
> the new master? I can suggest something which disables the warning just for
> that call.

Your patch changed FRAME_INTERNAL_BORDER_WIDTH() from a macro to an
inline function, which breaks the mingw64 build:

../../src/w32fns.c: In function 'x_set_internal_border_width':
../../src/w32fns.c:1661:39: error: lvalue required as left operand of assignment
       FRAME_INTERNAL_BORDER_WIDTH (f) = border;
                                       ^
With FRAME_INTERNAL_BORDER_WIDTH() as a macro, it builds successfully.

    AndyM